Bug 79841 - Mesa 10.2.1 implementation error: unexpected format GL_DEPTH24_STENCIL8 in _mesa_choose_tex_format()
Summary: Mesa 10.2.1 implementation error: unexpected format GL_DEPTH24_STENCIL8 in _m...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-09 15:39 UTC by Götz
Modified: 2015-03-31 20:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
gdb stellarium with debug symbols (19.22 KB, text/plain)
2014-06-09 15:39 UTC, Götz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Götz 2014-06-09 15:39:54 UTC
Created attachment 100753 [details]
gdb stellarium with debug symbols

Since Mesa 10.2.1, when trying to start Stellarium, I get this error:

QGLFramebufferObject: Framebuffer incomplete attachment.
Mesa 10.2.1 implementation error: unexpected format GL_DEPTH24_STENCIL8 in _mesa_choose_tex_format()
Please report at https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa
Floating point exception (core dumped)


Linux 3.14.6
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
Comment 1 Ville Syrjala 2014-11-20 19:16:11 UTC
I think this should be fixed by:

commit dafae910d4fc791ba49f20e937cb918669f42944
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Jul 3 15:38:07 2014 +0300

    i915: Accept GL_DEPTH_STENCIL GL_DEPTH_COMPONENT formats for renderbuffers
Comment 2 Götz 2014-11-25 20:17:29 UTC
Is that commit included in the latest version of Mesa, 10.3.4? 
I still get the same error with the latest version.
Comment 3 Götz 2015-03-31 20:01:19 UTC
With Mesa 10.5.2 the error is no longer present.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.